## org.firebirdsql.pool
Interface PooledConnectionManager

All Known Implementing Classes:
  AbstractFBConnectionPoolDataSource, FBConnectionPoolDataSource

    public interface PooledConnectionManager

Manager of pooled connections. Class implementing this interface allocates physical connections to the database.

Author:
  Roman Rokytskyy

Method Summary
`PooledObject` `allocateConnection(Object key)` Allocate pooled connection using specified user name and password.

Method Detail

### allocateConnection

    PooledObject allocateConnection(Object key)
                                    throws SQLException

  Allocate pooled connection using specified user name and password.

  Parameters:
    `userName` - user name that will be used to access database.
    `password` - password corresponding to the specified user name.
  Returns:
    instance of `PooledConnection`.
  Throws:
    `SQLException` - if something went wrong.

Copyright © 2001-2010. All Rights Reserved.